# Track remaining credits

You can programmatically check on your account with the credits_remaining and usage resources.
Use the account/credits_remaining resource to track how many credits are left in your account.
Cost: 0 credits

Endpoint: GET /account/credits_remaining

## Query parameters:

  - `format` (string)
    Specify the desired format of the response.

  - `customer_id` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `key` (string)
    The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `response` (object)

  - `response.errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `response.messages` (array)
    Contains the resources matching the request query, if any.

  - `response.results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

  - `response.results.credit_balance` (number)

  - `response.results.overdraft_limit` (number)

  - `response.results.usable_batches` (array)

  - `response.results.usable_batches.credits_purchased` (number)

  - `response.results.usable_batches.credits_remaining` (number)

  - `response.results.usable_batches.created` (string)

  - `response.results.usable_batches.expiration_time` (string)

  - `response.results.usable_batches.cost` (string)

  - `response.results.usable_batches.discount` (string)

## Response 200 fields (application/xml):

  - `errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `messages` (array)
    Contains the resources matching the request query, if any.

  - `results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

  - `results.credit_balance` (number)

  - `results.overdraft_limit` (number)

  - `results.usable_batches` (array)

  - `results.usable_batches.credits_purchased` (number)

  - `results.usable_batches.credits_remaining` (number)

  - `results.usable_batches.created` (string)

  - `results.usable_batches.expiration_time` (string)

  - `results.usable_batches.cost` (string)

  - `results.usable_batches.discount` (string)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `response` (object)

  - `response.errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `response.messages` (array)
    Contains the resources matching the request query, if any.

  - `response.results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

## Response 400 fields (application/xml):

  - `errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `messages` (array)
    Contains the resources matching the request query, if any.

  - `results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

